import { Document, Key } from '../common';
import { ExtractEnumValues } from '../utils';
import { CalendarIntervalName, CalendarIntervalQuantity } from '../enums';
export type DateHistogramAggregationBody<TDocument extends Document> = {
    field: Key<TDocument>;
    calendar_interval: ExtractEnumValues<CalendarIntervalName | CalendarIntervalQuantity>;
};
export type DateHistogramAggregation<TDocument extends Document> = {
    date_histogram: DateHistogramAggregationBody<TDocument>;
};
export declare const getDateHistogramAggregation: <TDocument extends Document>(field: Key<TDocument>, interval: ExtractEnumValues<CalendarIntervalName | CalendarIntervalQuantity>) => DateHistogramAggregation<TDocument>;
